@echo off

if not exist "..\FFXII_TZA.vbf" (
  SET ERR_MSG=Nie znaleziono "FFXII_TZA.vbf" w katalogu gry
  goto ERR_ALL
)

if not exist "..\FileSizeTables\FileSizeTable_US.fst" (
  SET ERR_MSG=Nie znaleziono "FileSizeTable_US.fst" w katalogu FileSizeTables
  goto ERR_ALL
)

if not exist "tablica\FileSizeTable_US.fst" (
  SET ERR_MSG=Nie znaleziono "FileSizeTable_US.fst" w katalogu spolszczenia
  goto ERR_ALL
)

if not exist "tablica\SettingsLoc.xml" (
  SET ERR_MSG=Nie znaleziono "SettingsLoc.xml" w katalogu spolszczenia
  goto ERR_ALL
)

if not exist "bin\ff12-vbf.exe" (
  SET ERR_MSG=Nie znaleziono patchera w katalogu bin
  goto ERR_ALL
)

echo.
echo Uruchamianie patchowania...
echo.
bin\ff12-vbf.exe -r "pliki" "..\FFXII_TZA.vbf"

if ERRORLEVEL 1 (
  SET ERR_MSG=Patcher zwrocil blad podczas proby nalozenia latki
  goto ERR_ALL
)

echo.
echo Kopiowanie tablicy rozmiarow...
echo.
@copy /Y tablica\FileSizeTable_US.fst ..\FileSizeTables\

if ERRORLEVEL 1 (
  SET ERR_MSG=Nie udalo sie skopiowac pliku z rozmiarami. Spolszczenie nie bedzie dzialac.
  goto ERR_ALL
)

echo.
echo Kopiowanie spolszczenia konfiguratora...
echo.
@copy /Y tablica\SettingsLoc.xml ..\x64\

if ERRORLEVEL 1 (
  SET ERR_MSG=Nie udalo sie skopiowac pliku z rozmiarami. Spolszczenie nie bedzie dzialac.
  goto ERR_ALL
)


echo.
echo.
echo.
echo Chyba wszystko poszlo zgodnie z planem. Spolszczenie powinno dzialac.

pause
exit

:ERR_ALL
cls
echo %ERR_MSG%
echo.
echo Sprawdz, czy wszystkie pliki znajduja sie na swoich miejscach
pause
